local DGV = DugisGuideViewer
local Guide = DugisGuideViewer:RegisterModule("DugisGuide_AutoGuide")
function Guide:Initialize()
	function Guide:Load()
            local title = "Auto World & Daily Quest Guide"

            DugisGuideViewer:RegisterGuide("|cffffd200World Quests|r ", title  , "" , UnitFactionGroup("Player"), select(2, UnitClass("player")), "L", nil
            , function() 
                local questId, title, description = QuestSuperTracking_GetClosestQuest_Dugis()
                local firstStep = [[A Choose a World Quest |N|Add a World Quest into your objective tracker and the guide will automatically display the correct step| |MD| |NT| ]]
                if questId then
return firstStep .. [[ 
C ]].. (title or "") .. "|QID|"..questId.."|"..(description and ("N|"..description) or "").."|AWQ| |NT|"
                else
                    return  firstStep
                end                
            
            end, {image = "northernstranglethorn.tga", description = [[]]})
    end
    
    function Guide:Unload()
	end    
end
